LIBKECCAK_STATE_WIPE(3)

NAME
libkeccak_state_wipe - Securely erase sensitive data

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_wipe(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_wipe() function securely erases data that may be sensitive: the state of the Keccak sponge, and the message chunk buffer.

RETURN VALUES
The libkeccak_state_wipe() function does not return any value.

ERRORS
The libkeccak_state_wipe() function cannot fail.

SEE ALSO
libkeccak_state_wipe_message(3), libkeccak_state_wipe_sponge(3), libkeccak_state_fast_destroy(3), libkeccak_state_destroy(3), libkeccak_state_reset(3)